POST /templates/{template}/duplicate
Duplicate the draft into a new unpublished template without an alias
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
template | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
201 | Copy created | Template |
403 | scope_missing (template:write) | |
404 | template_not_found | |
503 | mail_contacts_unavailable |
Examples
curl
curl -X POST "$GALON_API_BASE/templates/<template>/duplicate" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.templates.duplicate("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.templates.duplicate("<id>")